USLSA(4)

NAME
uslsa - USB support for Silicon Labs CP210x series serial adapters

SYNOPSIS
uslsa* at uhub?
ucom* at uslsa?

HARDWARE
The uslsa driver is known to work with the following adapters:

Adafruit 954 USB to TTL Serial Cable
Helicomm IP-Link 1220-DVM
Nokia CA-42 USB
Siemens MC60 Data Cable
Suunto USB Serial Adaptor

DESCRIPTION
The uslsa driver provides support for the Silicon Labs USB-to-RS-232 Bridge chip.

The device is accessed through the ucom(4) driver which makes it behave like a tty(4).

SEE ALSO
tty(4), ucom(4), usb(4)

Silicon Laboratories: http://www.silabs.com. Silicon Laboratories AN571: CP210x Virtual COM Port Interface ..

HISTORY
The uslsa driver appeared in NetBSD 4.0.

AUTHORS
The uslsa driver was written by Jonathan A. Kollasch. Code and style was borrowed from existing NetBSD USB-serial drivers.

CAVEATS
Settings other than 8 data bits, no parity, and 1 stop bit seem to be refused by the CP2101.